curl --request POST \
--url https://{defaultHost}/v1/manual_payment_methods \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"manual_payment_method": {
"name": "Cash on Delivery"
}
}
'import requests
url = "https://{defaultHost}/v1/manual_payment_methods"
payload = { "manual_payment_method": { "name": "Cash on Delivery" } }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({manual_payment_method: {name: 'Cash on Delivery'}})
};
fetch('https://{defaultHost}/v1/manual_payment_methods', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "d8043e17-2e1e-43f6-87f9-53af2370f781",
"object": "manual_payment_method",
"archived": false,
"archived_at": null,
"description": null,
"instructions": null,
"name": "Cash on Delivery",
"reusable": true,
"discarded_at": null,
"created_at": 1787228412,
"updated_at": 1787228412
}Create
Creates a new manual_payment_method.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Show child attributes
Show child attributes
Response
Success
The UUID of the specific object.
A string describing the object type returned.
Whether or not this manual payment method is archived.
The description of this payment method that will be shown in the checkout.
The instructions that you want your customers to follow to pay for an order. These instructions are shown on the confirmation page after a customer completes the checkout.
The name of this manual payment method.
Time at which the object was archived. Measured in seconds since the Unix epoch.
Time at which the object was discarded. Measured in seconds since the Unix epoch.
Time at which the object was created. Measured in seconds since the Unix epoch.
Time at which the object was last updated. Measured in seconds since the Unix epoch.
Was this page helpful?